/* Section Head */
.bg-pattern-prev {
    position: relative; /* Ensure the container has a stacking context */
    overflow: hidden;  /* Prevent pseudo-elements from overflowing */
}

.bg-pattern-prev::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #f7373752; /* Semi-transparent green color */
    background-blend-mode: color; /* Apply blending mode */
    z-index: -1;
    opacity: 0.5;
}

.bg-pattern-prev::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    opacity: 0.5;
    z-index: -2;
    filter: grayscale(1);
}

/* Specific Background Images for Each Class */
.bg-section-1::before {
    background-image: url('../images/bg-section-1.png');
    opacity: 0.3;
}

.bg-section-2::before {
    background-image: url('../images/bg-section-2.png');
    opacity: 0.3;
}

.bg-section-3::before {
    background-image: url('../images/bg-section-3.png');
    opacity: 0.3;
}

.bg-section-4::before {
    background-image: url('../images/bg-section-4.png');
    opacity: 0.3;
}

.cursor-pointer {
    cursor: pointer;
}
